# Get Manifests Once you've created [manifests](/apis/shipengine/docs/shipping/manifests), there are three GET calls you can make to to **/v1/manifests** endpoint to retrieve manifest details. * **List Manifests**: Similar to getting a list of shipments, you can get a list of the manifests you've created. You can use query parameters so the response includes only the manifests that meet your criteria. * **Get Manifest by ID**: To get the details of a specific manifest, like its creation date, ship date, the labels included, and more. The response will include the `href` property with the link to download the manifest. * **Get Minfest Request by ID**: To get a specific manifest request's details. This is useful to see the status of the request and if there were any errors associated with it. ## List Manifests When listing your manifests, you can use any of the following query parameters in the call. | Query Parameter | Type | Description | | --- | --- | --- | | `warehouse_id` | *string* | | | `carrier_id` | *string* | | | `label_ids` | *string* | | | `ship_date_start` | *date string* | [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601) `2019-07-25T15:24:46.657Z` | | `ship_date_end` | *date string* | [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601) `2019-07-25T15:24:46.657Z` | | `create_date_start` | *date string* | [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601) `2019-07-25T15:24:46.657Z` | | `create_date_end` | *date string* | [ISO 8601 Standard](https://en.wikipedia.org/wiki/ISO_8601) `2019-07-25T15:24:46.657Z` | ### Example Request **GET /v1/manifests** ```http GET /v1/manifests?warehouse_id=11921&carrier_id=se-123890 HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` The response will return the following details: * Manifest array, which includes the following properties: * `manifest_id` * `form_id` * `created_at` * `ship_date` * `shipments` * `label_ids` * `warehouse_id` * `submission_id` * `carrier_id` * `manifest_download` object (which includes the URL to download the manifest) * `total` The total number of manifests returned * `page` Current page of the list manifests results * `pages` Total number of pages for list manifests results * `links` object - the links to other pages of results (`first`, `last`, `prev`, `next`) ## Get Manifest by ID You will need a `manifest_id` for this request. You can run a [List Manifests](#list-manifests/) call to return a list of manifests generated for a carrier within the date range you specify. ### Example Request **GET /v1/manifests/:manifest_id** ```http GET /v1/manifests/se-28529731 HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` **Response** ```json { "manifest_id": "se-28529731", "form_id": "se-28529731", "created_at": "2019-07-12T13:37:39.050Z", "ship_date": "2019-07-12T13:37:39.050Z", "shipments": 100, "label_ids": [ "se-28529731" ], "warehouse_id": "se-28529731", "submission_id": "9475711899564878915476", "carrier_id": "se-28529731", "manifest_download": { "href": "http://api.shipengine.com/v1/labels/se-28529731" } } ``` ## Get Manifest Request by ID You will need a `manifest_request_id` for this request, which is available in the [Create Manifests](/apis/shipengine/docs/reference/create-manifest) response. **GET /v1/manifests/requests/:manifest_request_id** ```http GET /v1/manifests/requests/se-28529731 HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` The response will contain the same objects and properties as the Get Manifest by ID, with the addition of the `manifest_request` object (which includes the request `status` property) and the `errors` object.